com.trendmicro.ds.platform.rest.object.administrators

## Class ListAdministratorsResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.administrators.ListAdministratorsResponse

-     public class ListAdministratorsResponse
      extends java.lang.Object

  Response object for the ListAdministrators API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListAdministratorsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdministrator(Administrator administrator)` Add to the list of administrator details.
    `java.util.List<Administrator>` | `getAdministrators()` Get the list of administrator details.
    `void` | `setAdministrator(java.util.List<Administrator> administrators)` Set the list of administrator details.
    `ListAdministratorsResponse` | `withAdministrator(java.util.List<Administrator> administrators)` Set the list of administrator details.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListAdministratorsResponse

          public ListAdministratorsResponse()

  - ### Method Detail

    - #### getAdministrators

          public java.util.List<Administrator> getAdministrators()

      Get the list of administrator details.
      Returns:
        the list of administrator details.

    - #### setAdministrator

          public void setAdministrator(java.util.List<Administrator> administrators)

      Set the list of administrator details.
      Parameters:
        `administrators` - the list of administrator details to set.

    - #### withAdministrator

          public ListAdministratorsResponse withAdministrator(java.util.List<Administrator> administrators)

      Set the list of administrator details.
      Parameters:
        `administrators` - the list of administrator details to set.
      Returns:
        the updated ListAdministratorsResponse object.

    - #### addAdministrator

          public void addAdministrator(Administrator administrator)

      Add to the list of administrator details.
      Parameters:
        `administrator` - the administrator details to add to the list.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.